[SDL] libsdl-1.2.9 fails to compile with gcc4

Ryan C. Gordon icculus at clutteredmind.org
Tue Sep 27 19:30:09 PDT 2005


> This seems to be due to the gcc2 compatiblity patch that was added to
> this file for 1.2.9.  By removing the volatiles that were added, we can
> compile it again, but I doubt this is a good fix.  The asm should
> probably be changed to not depend on 5 registers, but this is beyond my
> abilities.  If someone could help out, or suggest a fix, I would
> appreciate it.

Can you try the latest in CVS and see if it fixes things?

--ryan.






More information about the SDL mailing list